<template>
  <mt-affichable :id="id" :affichage="affichage">
    <b-carousel v-model="slide" :autoplay="false" :arrow="false">
      <b-carousel-item>
        <mt-evol20210216-slide1 @next="slide = 1"></mt-evol20210216-slide1>
      </b-carousel-item>
      <b-carousel-item>
        <mt-evol20210216-slide2 @previous="slide = 0" @close="$emit('close')"></mt-evol20210216-slide2>
      </b-carousel-item>
    </b-carousel>
  </mt-affichable>
</template>

<script>
import MtEvol20210216Slide1 from '~/components/nouveaute/evolution/evol20210216Slide1';
import MtEvol20210216Slide2 from '~/components/nouveaute/evolution/evol20210216Slide2';
import MtAffichable from '~/components/nouveaute/affichable';

export default {
  name: 'Evolution20210216',
  components: {
    MtEvol20210216Slide2,
    MtEvol20210216Slide1,
    MtAffichable,
  },
  props: {
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
    id: {
      type: String,
      default: '16/02/2021',
      required: true,
    },
  },
  data() {
    return {
      slide: 0,
    };
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables.scss';
/deep/ {
  .carousel {
    .carousel-indicator {
      padding: 1rem;

      .indicator-item {
        .indicator-style {
          background-color: #dae2ff;
          border-width: 0;

          .is-dots {
            width: 0.5rem;
            height: 0.5rem;
            border-radius: 50%;
          }
        }
        &.is-active .indicator-style {
          background-color: $soft-blue;
        }
      }
    }
  }

  .mt-close {
    display: none;
  }
  .mt-modal {
    padding: 0;
  }
  .slide {
    padding: 1rem 1rem 2rem;
    position: relative;

    &.flex-column {
      display: flex;
      flex-direction: column;
    }

    &.padding-large {
      padding-left: 4vw;
      padding-right: 4vw;
      padding-top: 2rem;
    }
    * {
      z-index: 1;
    }
  }
  h2,
  h1 {
    font-size: 2.5rem;
    padding: 0;
    font-weight: 300;
    color: #5f5f5f;
    line-height: 1;
    margin: 0 0 1em;

    b {
      color: #5f5f5f;
      font-weight: 900;
    }
  }
  h2 {
    font-size: 2rem;
    margin-top: 0.5em;
    margin-bottom: 1em;
    line-height: 1.1;
  }
}
.precedent-suivant {
  display: flex;
  justify-content: space-between;
  padding: 1rem;

  button + button {
    margin-left: 1rem;
  }
}

.background-image {
  background-image: url('/nouveaute/nouveaute-illustration.png');
  height: 30.75rem;
}
.titre {
  font-size: 1.15rem;
}
.sous-titre {
  font-size: 2.5rem;
}
.marge-top {
  margin-top: 3rem;
}
</style>
